# Uses of Interface
javax.xml.xpath.XPathVariableResolver

Packages that use XPathVariableResolver
Package
Description
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.

## Uses of XPathVariableResolver in javax.xml.xpath

Methods in javax.xml.xpath that return XPathVariableResolver
Modifier and Type
Method
Description
`XPathVariableResolver`
XPath.`getXPathVariableResolver()`
Return the current variable resolver.
Methods in javax.xml.xpath with parameters of type XPathVariableResolver
Modifier and Type
Method
Description
`void`
XPath.`setXPathVariableResolver(XPathVariableResolver resolver)`
Establish a variable resolver.
`abstract void`
XPathFactory.`setXPathVariableResolver(XPathVariableResolver resolver)`
Establish a default variable resolver.